﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order
{
    public record QueryOrderHistoryDto : PagedKeywordRequest
    {
        public string PhoneNo { get; set; }
        public string? OrderId { get; set; }

        /// <summary>
        /// 随手拍行业类型
        /// </summary>
        public string? IndustryId { get; set; }
    }
}
