﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Snapshot;

/// <summary>
/// 红包发放失败原因;
/// 0: 无法联系;
/// 1: 婉拒红包;
/// </summary>
public enum ERedPackPickupFailCase
{
    /// <summary>
    /// 无法联系
    /// </summary>
    [Description("无法联系")]
    NotContact,

    /// <summary>
    /// 婉拒红包
    /// </summary>
    [Description("婉拒红包")]
    Excuse
}
