﻿using Hotline.Share.Enums.JudicialManagement;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.JudicialManagement
{
    /// <summary>
    /// 最新执法部门
    /// </summary>
    [Description("最新执法部门")]
    public class LawEnforcementAgencies : CreationSoftDeleteEntity
    {
        /// <summary>
        /// 工单Id
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string? OrderNo { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        public EOrderSoure? OrderSoure { get; set; }

        /// <summary>
        ///部门编号
        /// </summary>
        public string OrgCode { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string OrgName { get; set; }
    }
}