﻿using Hotline.Share.Dtos;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;
[Description("标注类型修改日志")]
public class SnapshotLabelLog : FullStateEntity
{
    /// <summary>
    /// OrderId
    /// </summary>
    public string OrderId { get; set; }

    /// <summary>
    /// 发布工单时标记的工单标签
    /// </summary>
    [SugarColumn(ColumnDescription = "工单标签", ColumnDataType = "json", IsJson = true, IsNullable = true)]
    public IList<Kv>? Labels { get; set; }

    /// <summary>
    /// 发布工单时标记的工单标签(多个使用 | 分隔)
    /// </summary>
    [SugarColumn(ColumnDescription = "工单标签")]
    public string? LabelName { get; set; }
}
