﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order.CarbonCopy
{
    public record QueryCarbonCopyRequest : PagedKeywordRequest
    {
        public string? No { get; set; }

        public string? Title { get; set; }

        /// <summary>
        /// 受理类型（√）
        /// </summary>
        public string? AcceptType { get; set; }

        /// <summary>
        /// 热点分类关键词
        /// </summary>
        public string? Hotspot { get; set; }

        /// <summary>
        /// 接办部门（√）
        /// </summary>
        public string? ActualHandleOrgName { get; set; }

        /// <summary>
        /// 受理时间(工单创建时间)（√）
        /// </summary>
        public DateTime? CreationTimeStart { get; set; }
        public DateTime? CreationTimeEnd { get; set; }

        /// <summary>
        /// 期满时间（√）
        /// </summary>
        public DateTime? ExpiredTimeStart { get; set; }
        public DateTime? ExpiredTimeEnd { get; set; }
    }
}
