﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    [Description("工单抄送")]
    [SugarIndex("index_ordercc_orderid", nameof(OrderCarboncopy.OrderId), OrderByType.Desc)]
    public class OrderCarboncopy : CreationEntity
    {
        public string OrderId { get; set; }
        public string? UserId { get; set; }
        public string? Username { get; set; }
        public string? OrgId { get; set; }
        public string? OrgName { get; set; }
        public string? RoleId { get; set; }
        public string? RoleName { get; set; }

        [Navigate(NavigateType.OneToOne, nameof(OrderId))]
        public Order Order { get; set; }
    }
}
