﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Planlibrary;

/// <summary>
/// 预案分类关联机构
/// </summary>
[Description("预案分类关联机构")]
[SugarIndex("index_planTypeOrg_typeId", nameof(PlanTypeOrg.TypeId), OrderByType.Desc)]
[SugarIndex("index_planTypeOrg_orgId", nameof(PlanTypeOrg.OrgId), OrderByType.Desc)]
public class PlanTypeOrg : FullStateEntity
{
    /// <summary>
    /// 预案分类ID
    /// </summary>
    public string TypeId { get; set; }

    /// <summary>
    /// 机构ID
    /// </summary>
    public string OrgId { get; set; }

    /// <summary>
    /// 机构名称
    /// </summary>
    public string OrgName { get; set; }
}

