﻿using Hotline.Share.Enums.Quality;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("录音文件质检转写")]
	public class QualityTransferRecords : FullStateEntity
	{

		/// <summary>
		/// 质检ID
		/// </summary>
		public string QualityId { get; set; }


		/// <summary>
		/// 是否完成
		/// </summary>
		public bool? IsFinished { get; set; }

		/// <summary>
		/// 转写时间
		/// </summary>
		public DateTime? TransferTime { get; set; }


		/// <summary>
		/// 转写状态
		/// </summary>
		[SugarColumn(ColumnDescription = "转写状态", DefaultValue = "0")]
		public EQualityTransferState? TransferState { get; set; }
	}
}
