﻿using Hotline.Share.Dtos;
using Hotline.Share.Dtos.Snapshot;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot.Interfaces;
public interface IOrderSnapshotRepository : IRepository<OrderSnapshot>
{
    /// <summary>
    /// 根据网格员系统ID随手拍工单
    /// </summary>
    /// <param name="appealNumber"></param>
    /// <returns></returns>
    Task<OrderSnapshot> GetByNetworkENumberAsync(string appealNumber);

    Task<OrderSnapshot> UpdateSafetyAsync(string orderId, bool isSafety, string remark);
}
